Package net.shibboleth.idp.cas.protocol

# Class CASAuditFields

java.lang.Object
net.shibboleth.idp.cas.protocol.CASAuditFields

public final class CASAuditFields extends Object
Constants to use for audit logging fields stored in an `AuditContext`.

Since:
  3.2.0

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`GATEWAY`
CAS protocol gateway flag.
`static final String`
`GRANTING_TICKET`
CAS protocol ticket-granting ticket (TGT/PGT).
`static final String`
`RENEW`
CAS protocol renew flag.
`static final String`
`SERVICE_TICKET`
CAS protocol service ticket (ST/PT).
`static final String`
`SERVICE_URL`
CAS client URL.
`static final String`
`STATUS_CODE`
CAS ticket validation status code.
`static final String`
`STATUS_DETAIL`
CAS ticket validation status detail.
`static final String`
`USER`
User name released to CAS client.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`CASAuditFields()`
Constructor.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SERVICE_URL

@Nonnull @NotEmpty public static final String SERVICE_URL
CAS client URL.

See Also:
  - Constant Field Values

### GATEWAY

@Nonnull @NotEmpty public static final String GATEWAY
CAS protocol gateway flag.

See Also:
  - Constant Field Values

### RENEW

@Nonnull @NotEmpty public static final String RENEW
CAS protocol renew flag.

See Also:
  - Constant Field Values

### GRANTING_TICKET

@Nonnull @NotEmpty public static final String GRANTING_TICKET
CAS protocol ticket-granting ticket (TGT/PGT).

See Also:
  - Constant Field Values

### SERVICE_TICKET

@Nonnull @NotEmpty public static final String SERVICE_TICKET
CAS protocol service ticket (ST/PT).

See Also:
  - Constant Field Values

### USER

@Nonnull @NotEmpty public static final String USER
User name released to CAS client.

See Also:
  - Constant Field Values

### STATUS_CODE

@Nonnull @NotEmpty public static final String STATUS_CODE
CAS ticket validation status code.

See Also:
  - Constant Field Values

### STATUS_DETAIL

@Nonnull @NotEmpty public static final String STATUS_DETAIL
CAS ticket validation status detail.

See Also:
  - Constant Field Values

## Constructor Details

### CASAuditFields

private CASAuditFields()
Constructor.